EDIT - bug #9811

regression through removal of 'TaxonRelationshipBeanProcessor ?
10/13/2021 03:22 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.28

Severity: critical Found in Version:

Description

It seems as if the removal of the TaxonRelationshipBeanProcessor has caused this new problem
| @ « Notice: Undefined property: stdClass::$toTaxon in compose_list of taxa() (line 507 of

| Kobresia capillifolia
/home/andreas/workspaces/cdm/cdm-dataportal/modules/cdm_dataportal/includes

ftaxon.inc).

« Notice: Trying to get property 'uuid' of non-object in
_cdm_dataportal_acceptedByCurrentView() (line 2742 of shome/andreas/workspaces
/cdm/cdm-dataportal/modules/cdm_dataportal/cdm_dataportal.module).

» cdm_compose_url(): missing pathParameter 0 for portal/taxon/$0/taxonNodes

« Notice: Trying to get property 'class' of non-object in

Classification _cdm_dataportal_acceptedByCurrentView() (line 2745 of fhome/andreas/workspaces

/cdm/cdm-dataportal/modules/cdm_dataportal/cdm_dataportal.module).
| Search |
Modify search

Kobresia capillifolia auct.

Related issues:
Related to EDIT - bug #9797: LazylnitializationException (LIE) on portal/taxo... Closed

Associated revisions

Revision 3d73cbc2 - 10/20/2021 11:21 AM - Andreas Kohlbecker

ref #9811 adding classification uuids to TaxonRelationshipsDTO

Revision cb2b26b5 - 10/20/2021 11:22 AM - Andreas Kohlbecker

ref #9811 switching in search results to portal/taxon/{uuid}/taxonRelationshipsDTO and adapting code

Revision cb993828 - 10/25/2021 09:34 AM - Andreas Kohlbecker

ref #9811 switching in search results to portal/taxon/{uuid}/taxonRelationshipsDTO and adapting code

History
#1 - 10/13/2021 03:22 PM - Andreas Kohlbecker
- Related to bug #9797: LazylnitializationException (LIE) on portal/taxon/{uuid} with misapplied names added

#2 - 10/20/2021 11:32 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

solved, see
http://test.e-taxonomy.eu/dataportal/preview/euromed/cdm_dataportal/search/results/taxon?ws=portal%2Ftaxon%2Ffind&query=Kobresia&form_build
id=form- 4XthSo78H |BSFecP|rdoFFT1A8JaPQKYqu1h80to&form token=sPX_e ASfTKtSerKG5VB EIEJ7XQNekaT HXhvNx8&form_id=cdm_
aportal_search_taxon_form&search%5BdoTaxaByCommonNames%5D=1&search%5BdoMisappliedN
=1&search%5BdoTaxa%5D=1&search%5BpageSize%5D=25&search%5Bpagelndex%5D=0

#3 - 10/26/2021 10:52 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

confirmed

#4 - 10/26/2021 01:13 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.28
